## Creating or Changing XUSER Entries

### Creating New XUSER Entries

You can either create new XUSER entries interactively or import them from an XUSER file.

The predefined user key DEFAULT already exists. This user key cannot be changed. If no data is yet saved under this user key, then the first entry you define is always saved under the user key DEFAULT, regardless of any user key specified.

If you do not specify a user key when making an XUSER entry, all data is then stored under the DEFAULT user key. Any existing data is then overwritten.

### Changing XUSER Entries

You change an existing XUSER entry by completely overwriting its data.

Operating system users can usually only change their own XUSER entries.

Exceptions:

· The operating system user that has defined the DEFAULT user key can change this XUSER entry.

· With Microsoft Windows, an operating system user who belongs to the Administrators group can change the XUSER entries of other operating system users. This is necessary where an operating system user that exists for an XUSER entry is not able to log on to the operating system interactively.

### Syntax

xuser [<options>] set

For information on <options>, see XUSER Options.

### Example

You create an XUSER entry with the user key ag using the operating system user ANNA. Using this XUSER user key, you save your log-on data for the database instance DEMODB: Database Manager user name anna_ghobadi and the password may.

xuser –U ag –d DEMODB –u anna_ghobadi,may